> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry Subscription

Use this endpoint to manually retry the most recent failed payment of a subscription. This is useful when a customer updates their payment method or resolves a payment issue (e.g., insufficient funds, expired card) mid-billing cycle, since subscription updates only take effect starting from the next billing cycle. Calling this endpoint forces a new charge attempt for the current cycle using the latest subscription configuration.

* Only the **most recent payment** of the subscription can be retried.
* Multiple manual retries can be executed **only if** the previous retry attempt resulted in a DECLINED status.
* Manually triggering a retry **stops** the [smart retry scheme](/docs/retries) for the corresponding payment. The following payments of the subscription will follow the smart retry scheme if enabled in the creation.
* After the successful retry attempt, the system **continues** with the next scheduled subscription charge.
* If neither condition is met, an **INVALID\_REQUEST** error is returned.


## OpenAPI

````yaml openapi/subscriptions/retry-subscription.json POST /subscriptions/{id}/retry
openapi: 3.1.0
info:
  title: subscription
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /subscriptions/{id}/retry:
    post:
      summary: Retry Subscription
      operationId: retry-subscription
      parameters:
        - name: id
          in: path
          description: >-
            The unique identifier of the subscription, see [create
            subscription](/reference/create-subscription) (UUID).
          schema:
            type: string
          required: true
        - in: header
          name: x-account-code
          schema:
            type: string
          description: >-
            The `account_id` found in your [Yuno
            Dashboard](https://dashboard.y.uno/developers) (UUID).
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 0054840f-bcd5-4d8e-b86c-c18ede81c556
                    name: Test Subscription
                    account_id: f7c5fe77-721b-49c2-84d3-957748df3c2c
                    country: CL
                    description: Subscription Test
                    merchant_reference: subscription-ref-merchant-AA01
                    status: ACTIVE
                    amount:
                      currency: CLP
                      value: 15000
                    frequency:
                      type: MONTH
                      value: 1
                    billing_cycles:
                      total: 12
                      current: 2
                      next_at: '2025-05-29T11:13:31.786421Z'
                    customer_payer:
                      id: 1c6d1a88-d8d5-4c09-b19c-852530d89f05
                    payment_method:
                      type: CARD
                      vaulted_token: 743880c1-1bdb-4572-99a8-c4e5ce184895
                    availability:
                      start_at: '2025-04-29T11:13:31.786421Z'
                      finish_at: null
                    retries:
                      retry_on_decline: false
                      amount: 6
                    metadata: null
                    additional_data: null
                    trial_period:
                      billing_cycles: 1
                      amount:
                        value: 0
                        currency: ''
                    initial_payment_validation: false
                    created_at: '2025-04-29T11:13:31.786421Z'
                    updated_at: '2025-04-29T11:13:31.942325Z'
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: 0054840f-bcd5-4d8e-b86c-c18ede81c556
                  name:
                    type: string
                    example: Test Subscription
                  account_id:
                    type: string
                    example: f7c5fe77-721b-49c2-84d3-957748df3c2c
                  country:
                    type: string
                    example: CL
                  description:
                    type: string
                    example: Subscription Test
                  merchant_reference:
                    type: string
                    example: subscription-ref-merchant-AA01
                  status:
                    type: string
                    example: ACTIVE
                  amount:
                    type: object
                    properties:
                      currency:
                        type: string
                        example: CLP
                      value:
                        type: integer
                        example: 15000
                        default: 0
                  frequency:
                    type: object
                    properties:
                      type:
                        type: string
                        example: MONTH
                      value:
                        type: integer
                        example: 1
                        default: 0
                  billing_cycles:
                    type: object
                    properties:
                      total:
                        type: integer
                        example: 12
                        default: 0
                      current:
                        type: integer
                        example: 2
                        default: 0
                      next_at:
                        type: string
                        example: '2025-05-29T11:13:31.786421Z'
                  customer_payer:
                    type: object
                    properties:
                      id:
                        type: string
                        example: 1c6d1a88-d8d5-4c09-b19c-852530d89f05
                  payment_method:
                    type: object
                    properties:
                      type:
                        type: string
                        example: CARD
                      vaulted_token:
                        type: string
                        example: 743880c1-1bdb-4572-99a8-c4e5ce184895
                  availability:
                    type: object
                    properties:
                      start_at:
                        type: string
                        example: '2025-04-29T11:13:31.786421Z'
                      finish_at: {}
                  retries:
                    type: object
                    properties:
                      retry_on_decline:
                        type: boolean
                        example: false
                        default: true
                      amount:
                        type: integer
                        example: 6
                        default: 0
                  metadata: {}
                  additional_data: {}
                  trial_period:
                    type: object
                    properties:
                      billing_cycles:
                        type: integer
                        example: 1
                        default: 0
                      amount:
                        type: object
                        properties:
                          value:
                            type: integer
                            example: 0
                            default: 0
                          currency:
                            type: string
                            example: ''
                  initial_payment_validation:
                    type: boolean
                    example: false
                    default: true
                  created_at:
                    type: string
                    example: '2025-04-29T11:13:31.786421Z'
                  updated_at:
                    type: string
                    example: '2025-04-29T11:13:31.942325Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: INVALID_STATE
                    messages:
                      - >-
                        The last payment intent of the subscription does not
                        support the action requested.
              schema:
                oneOf:
                  - type: object
                    properties: {}
                  - type: object
                    properties:
                      code:
                        type: string
                        example: INVALID_STATE
                      messages:
                        type: array
                        items:
                          type: string
                          example: >-
                            The last payment intent of the subscription does not
                            support the action requested.
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````